I am trying to deploy a rails application to a digitalocean VPS droplet. I
have the following setup Ruby on Rails on Ubuntu 12.10 (Nginx + Unicorn). I
have installed Ruby ruby-2.0.0-p247 and rails Rails 4.0.0 via rvm but when
I try to restart Unicorn I get the following error.

/usr/local/rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems
/core_ext/kernel_require.rb:45:in `require': cannot load such file --
unicorn/launcher (LoadError)
from /usr/local/rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems
/core_ext/kernel_require.rb:45:in `require'
from /usr/bin/unicorn:3:in `<main>'

Could it be because if my GEM_HOME and GEM_PATH are different?

$GEM_PATH
/usr/local/rvm/gems/ruby-2.0.0-p247:/usr/local/rvm
/gems/ruby-2.0.0-p247@global

$GEM_HOME
/usr/local/rvm/gems/ruby-2.0.0-p247

Any help would very much appreciated.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to rubyonrails-talk+unsubscribe@googlegroups.com.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/3ae3162f-08e8-4ece-b89d-33637fba024b%40googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Benjamin Iandavid Rodriguez at Oct 16, 2013 at 4:50 pm
    Have you tried re-installing(`bundle install`) the gem under the
    gemset/ruby you're currently using?
    it seems that unicorn was not installed correctly or is not installed at
    all.


    2013/10/15 Jay De Leon <jdeleon@jdeleon.com>
    I am trying to deploy a rails application to a digitalocean VPS droplet.
    I have the following setup Ruby on Rails on Ubuntu 12.10 (Nginx + Unicorn).
    I have installed Ruby ruby-2.0.0-p247 and rails Rails 4.0.0 via rvm but
    when I try to restart Unicorn I get the following error.

    /usr/local/rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems
    /core_ext/kernel_require.rb:45:in `require': cannot load such file --
    unicorn/launcher (LoadError)
    from /usr/local/rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/
    rubygems/core_ext/kernel_require.rb:45:in `require'
    from /usr/bin/unicorn:3:in `<main>'

    Could it be because if my GEM_HOME and GEM_PATH are different?

    $GEM_PATH
    /usr/local/rvm/gems/ruby-2.0.0-p247:/usr/local/rvm
    /gems/ruby-2.0.0-p247@global

    $GEM_HOME
    /usr/local/rvm/gems/ruby-2.0.0-p247

    Any help would very much appreciated.

    --
    You received this message because you are subscribed to the Google Groups
    "Ruby on Rails: Talk" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to rubyonrails-talk+unsubscribe@googlegroups.com.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To view this discussion on the web visit
    https://groups.google.com/d/msgid/rubyonrails-talk/3ae3162f-08e8-4ece-b89d-33637fba024b%40googlegroups.com
    .
    For more options, visit https://groups.google.com/groups/opt_out.
    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to rubyonrails-talk+unsubscribe@googlegroups.com.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To view this discussion on the web visit https://groups.google.com/d/msgid/rubyonrails-talk/CAHRDpXr70yo3a0V7_GZc5wQAOqWaH2mWnSjj9fug4eOJD24yGg%40mail.gmail.com.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedOct 16, '13 at 8:38a
activeOct 16, '13 at 4:50p
posts2
users2
websiterubyonrails.org
irc#RubyOnRails

People

Translate

site design / logo © 2022 Grokbase